Subject: Re: suggested revision for MUST/SHOULD

From: DRUMS WG Chair <[email-masked]>
Date: Mon, 14 Aug 2000 16:30:13 -0700

Paul & John,

The chair concludes this proposal has WG rough concensus.  Please proceed 
with this course of action as promptly as possible.

		Thanks,
		- DRUMS WG Chair

--On Friday, July 28, 2000 16:35 -0700 DRUMS WG Chair 
<[email-masked]> wrote:

> --On Thursday, July 27, 2000 22:53 +0000 "D. J. Bernstein" <[email-masked]>
> wrote:
>> However, I have a different suggestion: the definitions of ``SHOULD'' et
>> al. should simply be copied from RFC 2119, with no extra text.
>>
>> (I say ``copied'' rather than ``incorporated by reference'' to avoid the
>> issue of whether smtpupd is obliged to follow RFC 2119, section 6.)
>>
>> Most readers will be expecting the RFC 2119 definitions. Many readers
>> will misinterpret the document if it uses anything else---they'll never
>> realize that there are new definitions.
>
> The document editor has privately told me he is agreeable to the proposal
> to copy the definitions from RFC 2119 under the condition that there is a
> review of all MUST/SHOULD usage in the draft relative to the changed
> meanings.  Paul Hoffman has volunteered to perform that review.  If no
> one objects, I will ask Paul to perform that review and post proposed
> text changes (if any are needed) to the list for consideration.
>
>		 - DRUMS WG Chair